package com.xmomen.module.order.entity;

import com.xmomen.framework.mybatis.model.BaseMybatisExample;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TbPackingRecordExample extends BaseMybatisExample {
    // 排序字段
    protected String orderByClause;

    // 是否去重
    protected boolean distinct;

    // 查询条件
    protected List<Criteria> oredCriteria;

    public TbPackingRecordExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    // 设置排序字段
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    // 获取排序字段
    public String getOrderByClause() {
        return orderByClause;
    }

    // 设置是否去重
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    // 获取是否去重
    public boolean isDistinct() {
        return distinct;
    }

    // 获取查询条件
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    // 添加查询条件
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    // 创建查询条件
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    // 创建查询条件
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    // 创建查询条件
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    // 清空查询条件
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    // 生成查询条件
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        // 判断查询条件是否有效
        public boolean isValid() {
            return criteria.size() > 0;
        }

        // 获取所有查询条件
        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        // 获取查询条件
        public List<Criterion> getCriteria() {
            return criteria;
        }

        // 添加查询条件
        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        // 添加查询条件
        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        // 添加查询条件
        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        // 添加查询条件
        public Criteria andIdIsNull() {
            addCriterion("ID is null");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andIdIsNotNull() {
            addCriterion("ID is not null");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andIdEqualTo(Integer value) {
            addCriterion("ID =", value, "id");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("ID <>", value, "id");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("ID >", value, "id");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("ID >=", value, "id");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andIdLessThan(Integer value) {
            addCriterion("ID <", value, "id");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("ID <=", value, "id");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andIdIn(List<Integer> values) {
            addCriterion("ID in", values, "id");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("ID not in", values, "id");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("ID between", value1, value2, "id");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("ID not between", value1, value2, "id");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andUpcIsNull() {
            addCriterion("UPC is null");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andUpcIsNotNull() {
            addCriterion("UPC is not null");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andUpcEqualTo(String value) {
            addCriterion("UPC =", value, "upc");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andUpcNotEqualTo(String value) {
            addCriterion("UPC <>", value, "upc");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andUpcGreaterThan(String value) {
            addCriterion("UPC >", value, "upc");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andUpcGreaterThanOrEqualTo(String value) {
            addCriterion("UPC >=", value, "upc");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andUpcLessThan(String value) {
            addCriterion("UPC <", value, "upc");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andUpcLessThanOrEqualTo(String value) {
            addCriterion("UPC <=", value, "upc");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andUpcLike(String value) {
            addCriterion("UPC like", value, "upc");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andUpcNotLike(String value) {
            addCriterion("UPC not like", value, "upc");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andUpcIn(List<String> values) {
            addCriterion("UPC in", values, "upc");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andUpcNotIn(List<String> values) {
            addCriterion("UPC not in", values, "upc");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andUpcBetween(String value1, String value2) {
            addCriterion("UPC between", value1, value2, "upc");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andUpcNotBetween(String value1, String value2) {
            addCriterion("UPC not between", value1, value2, "upc");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andOrderItemIdIsNull() {
            addCriterion("ORDER_ITEM_ID is null");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andOrderItemIdIsNotNull() {
            addCriterion("ORDER_ITEM_ID is not null");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andOrderItemIdEqualTo(Integer value) {
            addCriterion("ORDER_ITEM_ID =", value, "orderItemId");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andOrderItemIdNotEqualTo(Integer value) {
            addCriterion("ORDER_ITEM_ID <>", value, "orderItemId");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andOrderItemIdGreaterThan(Integer value) {
            addCriterion("ORDER_ITEM_ID >", value, "orderItemId");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andOrderItemIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("ORDER_ITEM_ID >=", value, "orderItemId");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andOrderItemIdLessThan(Integer value) {
            addCriterion("ORDER_ITEM_ID <", value, "orderItemId");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andOrderItemIdLessThanOrEqualTo(Integer value) {
            addCriterion("ORDER_ITEM_ID <=", value, "orderItemId");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andOrderItemIdIn(List<Integer> values) {
            addCriterion("ORDER_ITEM_ID in", values, "orderItemId");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andOrderItemIdNotIn(List<Integer> values) {
            addCriterion("ORDER_ITEM_ID not in", values, "orderItemId");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andOrderItemIdBetween(Integer value1, Integer value2) {
            addCriterion("ORDER_ITEM_ID between", value1, value2, "orderItemId");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andOrderItemIdNotBetween(Integer value1, Integer value2) {
            addCriterion("ORDER_ITEM_ID not between", value1, value2, "orderItemId");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andScanTimeIsNull() {
            addCriterion("SCAN_TIME is null");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andScanTimeIsNotNull() {
            addCriterion("SCAN_TIME is not null");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andScanTimeEqualTo(Date value) {
            addCriterion("SCAN_TIME =", value, "scanTime");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andScanTimeNotEqualTo(Date value) {
            addCriterion("SCAN_TIME <>", value, "scanTime");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andScanTimeGreaterThan(Date value) {
            addCriterion("SCAN_TIME >", value, "scanTime");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andScanTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("SCAN_TIME >=", value, "scanTime");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andScanTimeLessThan(Date value) {
            addCriterion("SCAN_TIME <", value, "scanTime");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andScanTimeLessThanOrEqualTo(Date value) {
            addCriterion("SCAN_TIME <=", value, "scanTime");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andScanTimeIn(List<Date> values) {
            addCriterion("SCAN_TIME in", values, "scanTime");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andScanTimeNotIn(List<Date> values) {
            addCriterion("SCAN_TIME not in", values, "scanTime");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andScanTimeBetween(Date value1, Date value2) {
            addCriterion("SCAN_TIME between", value1, value2, "scanTime");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andScanTimeNotBetween(Date value1, Date value2) {
            addCriterion("SCAN_TIME not between", value1, value2, "scanTime");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andPackingIdIsNull() {
            addCriterion("PACKING_ID is null");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andPackingIdIsNotNull() {
            addCriterion("PACKING_ID is not null");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andPackingIdEqualTo(Integer value) {
            addCriterion("PACKING_ID =", value, "packingId");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andPackingIdNotEqualTo(Integer value) {
            addCriterion("PACKING_ID <>", value, "packingId");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andPackingIdGreaterThan(Integer value) {
            addCriterion("PACKING_ID >", value, "packingId");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andPackingIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("PACKING_ID >=", value, "packingId");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andPackingIdLessThan(Integer value) {
            addCriterion("PACKING_ID <", value, "packingId");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andPackingIdLessThanOrEqualTo(Integer value) {
            addCriterion("PACKING_ID <=", value, "packingId");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andPackingIdIn(List<Integer> values) {
            addCriterion("PACKING_ID in", values, "packingId");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andPackingIdNotIn(List<Integer> values) {
            addCriterion("PACKING_ID not in", values, "packingId");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andPackingIdBetween(Integer value1, Integer value2) {
            addCriterion("PACKING_ID between", value1, value2, "packingId");
            return (Criteria) this;
        }

        // 添加查询条件
        public Criteria andPackingIdNotBetween(Integer value1, Integer value2) {
            addCriterion("PACKING_ID not between", value1, value2, "packingId");
            return (Criteria) this;
        }
    }

    // 生成查询条件
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    // 生成查询条件
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        // 获取查询条件
        public String getCondition() {
            return condition;
        }

        // 获取查询条件
        public Object getValue() {
            return value;
        }

        // 获取查询条件
        public Object getSecondValue() {
            return secondValue;
        }

        // 判断查询条件是否为空
        public boolean isNoValue() {
            return noValue;
        }

        // 判断查询条件是否为单个值
        public boolean isSingleValue() {
            return singleValue;
        }

        // 判断查询条件是否为范围值
        public boolean isBetweenValue() {
            return betweenValue;
        }

        // 判断查询条件是否为列表值
        public boolean isListValue() {
            return listValue;
        }

        // 获取查询条件
        public String getTypeHandler() {
            return typeHandler;
        }

        // 创建查询条件
        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        // 创建查询条件
        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        // 创建查询条件
        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        // 创建查询条件
        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        // 创建查询条件
        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}